8.4 pg_upgrade Troubleshooting

Table of Contents Previous Next


8 Upgrading an Installation With pg_upgrade : 8.4 pg_upgrade Troubleshooting

C:\Users\susan\Desktop\8.2.png
Figure 8.2 — There seems to be a postmaster servicing the new cluster
If pg_upgrade reports the error shown in Figure 8.3, please modify the pg_hba.conf files in the old and new cluster to enable trust authentication, or configure the system to use a pgpass.conf file. See Step 3 in Section 8.3, Upgrading to Advanced Server 9.4 for detailed information about editing the pg_hba.conf file.
C:\Users\susan\Desktop\8.3.png
Figure 8.3 — fe_sendauth: no password supplied
If pg_upgrade reports the error shown in Figure 8.4, please empty the new cluster; see Step 2 in Section 8.3, Upgrading to Advanced Server 9.4 for more information about providing an empty target cluster. Please note: the target cluster may not contain any user-defined databases.
C:\Users\susan\Desktop\8.4.png
Figure 8.4 — New cluster is not empty; exiting
Figure 8.5 — Failed to load library

8 Upgrading an Installation With pg_upgrade : 8.4 pg_upgrade Troubleshooting

Table of Contents Previous Next